Subject: linux-next: manual merge of the clk tree with the devicetree-fixes tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 6 Feb 2020 08:34:18 +1100

Hi all,

Today's linux-next merge of the clk tree got conflicts in:

  Documentation/devicetree/bindings/clock/qcom,msm8998-gpucc.yaml
  Documentation/devicetree/bindings/clock/qcom,sdm845-videocc.yaml

between commit:

  04dbd86539fd ("dt-bindings: Fix paths in schema $id fields")

from the devicetree-fixes tree and commits:

  e6747e24f15d ("dt-bindings: clock: Fix qcom,gpucc bindings for sdm845/sc7180/msm8998")
  8cff43d46cfc ("dt-bindings: clock: Cleanup qcom,videocc bindings for sdm845/sc7180")

from the clk tree.

I fixed it up (the latter changes seem to have included the former,
plus I removed Documentation/devicetree/bindings/clock/qcom,gpucc.yaml)
and can carry the fix as necessary. This is now fixed as far as
linux-next is concerned, but any non trivial conflicts should be
mentioned to your upstream maintainer when your tree is submitted for
merging.  You may also want to consider cooperating with the maintainer
of the conflicting tree to minimise any particularly complex conflicts.

-- 
Cheers,
Stephen Rothwell